SendLit logoSendLit Docs
API ReferenceTemplatesTemplateidDuplicate

Duplicate an email template

Creates a new team-owned copy with the same immutable purpose as the source template.

POST
/templates/{templateId}/duplicate

Creates a new team-owned copy with the same immutable purpose as the source template.

x-sendlit-apikey<token>

In: header

Path Parameters

templateId*string

Request Body

application/json

Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.sendlit.dev/templates/string/duplicate" \  -H "Content-Type: application/json" \  -d '{}'
{
  "templateId": "string",
  "title": "string",
  "purpose": "marketing",
  "content": {
    "style": {
      "property1": null,
      "property2": null
    },
    "meta": {
      "property1": null,
      "property2": null
    },
    "content": [
      {
        "property1": null,
        "property2": null
      }
    ]
  },
  "requiredVariables": [
    "string"
  ],
  "validationError": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "variables": [
    "string"
  ]
}